Package Details: i3-gnome 1:40.4-1

Git Clone URL: https://aur.archlinux.org/i3-gnome.git (read-only, click to copy)
Package Base: i3-gnome
Description: Use i3 with GNOME Session integration.
Upstream URL: https://github.com/i3-gnome/i3-gnome/
Keywords: gnome i3-gaps i3-wm session
Licenses: MIT
Submitter: TheMarex
Maintainer: gccstr
Last Packager: gccstr
Votes: 36
Popularity: 0.000000
First Submitted: 2015-08-15 14:14 (UTC)
Last Updated: 2021-09-18 08:04 (UTC)

Pinned Comments

gccstr commented on 2020-05-22 08:57 (UTC) (edited on 2020-05-22 09:02 (UTC) by gccstr)

The recent update is regarding the PKGBUILD, I've found a little misconception in the installation directory.

You can join to the discussion on the issue from github:

https://github.com/i3-gnome/i3-gnome/issues/65

Latest Comments

1 2 3 4 5 Next › Last »

gccstr commented on 2020-05-22 08:57 (UTC) (edited on 2020-05-22 09:02 (UTC) by gccstr)

The recent update is regarding the PKGBUILD, I've found a little misconception in the installation directory.

You can join to the discussion on the issue from github:

https://github.com/i3-gnome/i3-gnome/issues/65

coderkun commented on 2020-05-22 07:47 (UTC)

Version 3.36.0-3 gives me the following error:

$ makepkg
[…]
==> Starting package()...
install -m0644 -D session/i3-gnome-xsession.desktop //usr/share/xsessions/i3-gnome.desktop
install: cannot remove '//usr/share/xsessions/i3-gnome.desktop': Permission denied
make: *** [Makefile:24: install] Error 1
==> ERROR: A failure occurred in package().
    Aborting...

gccstr commented on 2020-03-09 17:30 (UTC)

As you might notice, the intention to update i3-gnome to 3.36.0 is to focus all the issues to the related version of GNOME, please, report your issues on the github repository.

hexhu commented on 2019-10-22 08:43 (UTC)

@dobrado 3.34.1 is released 5 hours ago, a bit later than the AUR version bump. Now it builds just fine.

dobrado commented on 2019-10-22 02:54 (UTC)

Hi, @51v4n ! The download source are broken? The last version in git are 3.34.0, not 3.34.1

gccstr commented on 2019-10-22 00:14 (UTC)

@yochananmarqos already done! thanks! didn't notice that.

yochananmarqos commented on 2019-10-19 15:35 (UTC)

gnome-session and gnome-settings-daemon should be added to dependencies and gdm should be added to optional dependencies. gnome-flashback should at least be added to optional dependencies.

gccstr commented on 2018-05-27 00:10 (UTC)

@Hi-Angel, Basically by 'GNOME Session integration' stands for makes available a session option for GNOME + i3 and enables GNOME Keyring and other GNOME processes to work out-of-the-box.